Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1486454 - dnf system-upgrade from feodra 26 to fedora 27 did not update /boot/grub2/grub.cfg
Summary: dnf system-upgrade from feodra 26 to fedora 27 did not update /boot/grub2/gru...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: grub2
Version: 27
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: Peter Jones
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-29 19:22 UTC by Bill Gianopoulos
Modified: 2018-11-30 17:57 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 17:57:40 UTC
Type: Bug


Attachments (Terms of Use)

Description Bill Gianopoulos 2017-08-29 19:22:06 UTC
Description of problem:


Upgrading form fedora 26 to fedora 27 branch via dnf system-upgrade resulted in running fedora 26 kernel with fedora 27 packages.  The issue is that the /boot/grub2/grub.cfg file was not updated.  Running grub2-mkconfig manually corrected the issue.

I suspect this is related to the repackaging of grub2 to no longer contain a grub2 package.


I would think this issue should block the beta release.

Comment 1 Bill Gianopoulos 2017-08-29 19:34:44 UTC
One thing I did notice is that the /etc/grub2.cfg symlink was absent.  The only grub related symlink in /etc/ is the grub2-efi.cfg one and that points to a non-existent file, but this is not an efi configuration so I doubt that is an issue.  I recreated the missing /etc/grub2.cfg symlink and will report back what happens next time the kernel is updated.

Comment 2 Bill Gianopoulos 2017-08-29 19:43:16 UTC
This seems similar to bug 1323842.

Comment 3 Bill Gianopoulos 2017-08-29 21:01:42 UTC
I ahve done more testing doing a "sudo ln -s ../boot/grub2/grub.cfg /etc/grub2.cfg" fixes this issue.  SO the problem is that with the new packaging of grub2 nothing is creating this symlink.  You could argue that perhaps the kernel update procedure should not be dependent on this but you would be wrong.  Not creating this symlink but creating the /etc/grub2-efi.cfg is an inconsistency. It either needs to create both or neither.

Comment 4 Ben Cotton 2018-11-27 18:25:27 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Ben Cotton 2018-11-30 17:57:40 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.